<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.community.tdcarrecord.mapper.TdCarRecordMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="carRecordResultMap" type="org.springblade.community.tdcarrecord.entity.TdCarRecord">
        <result column="id" property="id"/>
        <result column="plate_number" property="plateNumber"/>
        <result column="enter_time" property="enterTime"/>
        <result column="entrance" property="entrance"/>
        <result column="in_channelid" property="inChannelid"/>
        <result column="enter_pic" property="enterPic"/>
        <result column="remain_park_num" property="remainParkNum"/>
        <result column="enter_pic_small" property="enterPicSmall"/>
        <result column="cplx" property="cplx"/>
        <result column="jckbh" property="jckbh"/>
        <result column="total_park_num" property="totalParkNum"/>
        <result column="zxd" property="zxd"/>
        <result column="gkjip" property="gkjip"/>
        <result column="clys" property="clys"/>
        <result column="cb" property="cb"/>
        <result column="sfwc" property="sfwc"/>
        <result column="bcbz" property="bcbz"/>
        <result column="record_no" property="recordNo"/>
        <result column="record_id" property="recordId"/>
        <result column="ticket_no" property="ticketNo"/>
        <result column="group_id" property="groupId"/>
        <result column="group_uuid" property="groupUuid"/>
        <result column="group_name" property="groupName"/>
        <result column="in_mac" property="inMac"/>
        <result column="workspace_ip" property="workspaceIp"/>
        <result column="use_time" property="useTime"/>
        <result column="release_type" property="releaseType"/>
        <result column="leave_time" property="leaveTime"/>
        <result column="exit_out" property="exitOut"/>
        <result column="leave_op_id" property="leaveOpId"/>
        <result column="leave_op_name" property="leaveOpName"/>
        <result column="paid_fee" property="paidFee"/>
        <result column="payable_fee" property="payableFee"/>
        <result column="discount_fee" property="discountFee"/>
        <result column="pay_time" property="payTime"/>
        <result column="pay_type" property="payType"/>
        <result column="type" property="type"/>
        <result column="jckmc" property="jckmc"/>
        <result column="out_channelid" property="outChannelid"/>
        <result column="leave_pic" property="leavePic"/>
        <result column="leave_pic_small" property="leavePicSmall"/>
        <result column="shop_id" property="shopId"/>
        <result column="shop_name" property="shopName"/>
        <result column="stop_time" property="stopTime"/>
        <result column="balance" property="balance"/>
        <result column="tel" property="tel"/>
        <result column="ticket_mark" property="ticketMark"/>
        <result column="out_mac" property="outMac"/>
        <result column="workspace_name" property="workspaceName"/>
        <result column="group_charge_details" property="groupChargeDetails"/>
        <result column="orders" property="orders"/>
        <result column="visitor_time" property="visitorTime"/>
        <result column="recognize_type" property="recognizeType"/>
        <result column="enter_op_id" property="enterOpId"/>
        <result column="enter_opame" property="enterOpame"/>
        <result column="car_type" property="carType"/>
        <result column="car_sub_type" property="carSubType"/>
        <result column="car_status" property="carStatus"/>
    </resultMap>


    <select id="selectCarRecordPage" resultMap="carRecordResultMap">
        select * from td_car_record where is_deleted = 0
    </select>

</mapper>
